#
# spec file for package cdemu-client
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cdemu-client
Version:        3.0.0
Release:        6.1
Summary:        Command-line client to control cdemu-daemon
License:        GPL-2.0+
Group:          System/Filesystems
Url:            http://cdemu.sf.net/about/client/

#Git-Clone:	git://git.code.sf.net/p/cdemu/code
Source:         http://downloads.sf.net/cdemu/%name-%version.tar.bz2
BuildRequires:  cmake >= 2.8.5
BuildRequires:  gettext-tools >= 0.15
BuildRequires:  intltool >= 0.21
BuildRequires:  python >= 2.6
Requires:       dbus-1-python
Requires:       python >= 2.6
BuildArch:      noarch

%description
cdemu-client is a command-line client for controlling cdemu-daemon.

It provides a way to perform the key tasks related to controlling the
CDEmu daemon, such as loading and unloading devices, displaying
devices' status and retrieving/setting their debug masks.

%lang_package

%prep
%setup -q

%build
cmake . \
	-DCMAKE_INSTALL_PREFIX:PATH="%_prefix" \
	-DCMAKE_INSTALL_LIBDIR:PATH="%_libdir"
make %{?_smp_mflags}

%install
%make_install
%find_lang cdemu

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%dir %_sysconfdir/bash_completion.d/
%config %_sysconfdir/bash_completion.d/cdemu-bash-completion.sh
%_bindir/cdemu
%_datadir/applications/%name.desktop
%_datadir/pixmaps/%name.svg
%_mandir/man1/cdemu.1*

%files lang -f cdemu.lang

%changelog
* Sun Jul 13 2014 sor.alexei@meowr.ru
- Update to new upstream release 3.0.0
  * cdemu-client now allow the user to create a "blank" disc on
  CDEmu device and write to it using CD/DVD burning software. And
  as a side effect, the image analyzer application also gained
  support for image conversion.
* Sun Nov 24 2013 jengelh@inai.de
- Update to new upstream release 2.1.1
  * added handling of bad sector verification option
* Mon Jun 10 2013 jengelh@inai.de
- Update to new upstream release 2.1.0
  * Added support for device addition/removal
* Sat Dec 22 2012 jengelh@inai.de
- Update to new upstream release 2.0.0 (up from 1.5.0)
  * Support for ISZ, CSO, DMG, GBI, ECM, gzip and xz formats
  * Partial support for 1-track MDX
- Remove cdemu-lang.diff, no longer applies
* Wed Dec 19 2012 jengelh@inai.de
- Add Freecode URL
* Wed May  9 2012 jengelh@inai.de
- Initial package for build.opensuse.org
